function h = entropy(vec1)
// calculate the entropy of a variable vec1
// Calling Sequence
// h = entropy(vec1)
// Description
//the same as entropycond(vec1)
// Examples 
//  a=[1 2 1 2 1]';b=[2 1 2 1 1]';
//  printf('entropy(a) = %f\n',entropy(a));
//
// Authors
//
//  Hanchuan Peng, April/2002
//

//=========================================================
//
//This is a prog in the MutualInfo 0.9 package written by 
// Hanchuan Peng.
//
//Disclaimer: The author of program is Hanchuan Peng
//      at <penghanchuan@yahoo.com> and <phc@cbmv.jhu.edu>.
//
//The CopyRight is reserved by the author.
//
//Last modification: April/19/2002
//
//========================================================
 [nargout,nargin]=argn(0);
if nargin<1,

  error('Usage: h = entropy(vec1).');
  h = -1;

else,

  [p1] = estpa(vec1);
  h = estentropy(p1);

end;


endfunction