function h = estmutualinfo(vec1,vec2)
//calculate the mutual information based on thr probabilities through a probability based method
// Calling Sequence
// [mutual_info] = estmutualinfo(jointprob_table, marginprob_1, marginprob2)
// Parameters
// mutual_info: the mutual information
// jointprob_table: the joint probility density of model and image intensity
// marginprob_1:marign probility density of the model
// marginprob2: marign probility density of the model
// Description
//  calculate the mutual information based on thr probabilities
// through a probability based method
// MI = sum(p(a,b)log(p(a,b)/p(a)/p(b)))
// 
// The last two inputs are optional.
//
// Authors
// Hanchuan Peng, April/2002
//